For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
        • GETList
        • POSTCreate
        • GETGet
        • PUTUpsert
        • DELDelete
        • PATCHUpdate
        • POSTGenerate Description
LogoLogo
Sign upLog in
API ReferenceModelConnections

List

GET
https://api.icepanel.io/v1/landscapes/:landscapeId/versions/:versionId/model/connections
GET
/v1/landscapes/:landscapeId/versions/:versionId/model/connections
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.model.connections.list("landscapeId", "versionId", {});
8}
9main();
1{
2 "modelConnections": [
3 {
4 "commit": 1.1,
5 "createdAt": "2024-01-15T09:30:00Z",
6 "createdBy": "user",
7 "createdById": "string",
8 "diagrams": {},
9 "direction": "outgoing",
10 "flows": {},
11 "handleId": "string",
12 "id": "string",
13 "labels": {},
14 "landscapeId": "string",
15 "linked": true,
16 "links": {},
17 "name": "string",
18 "originId": "string",
19 "status": "deprecated",
20 "tagIds": [
21 "string"
22 ],
23 "targetId": "string",
24 "technologyIds": [
25 "string"
26 ],
27 "updatedAt": "2024-01-15T09:30:00Z",
28 "updatedBy": "user",
29 "updatedById": "string",
30 "version": 1.1,
31 "versionId": "string",
32 "viaId": "string",
33 "deletedAt": "2024-01-15T09:30:00Z",
34 "deletedBy": "user",
35 "deletedById": "string",
36 "description": "string",
37 "latestEntityId": "string",
38 "tags": {},
39 "technologies": {}
40 }
41 ]
42}
Was this page helpful?
Previous

Create

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

landscapeIdstringRequired
versionIdstringRequired

Query parameters

filterobjectOptional
expandlist of enumsOptional
Allowed values:

Response

OK
modelConnectionslist of objects

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error